diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/synonyms/__init__.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/synonyms/__init__.py
index 087e26e..2d36d27 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/synonyms/__init__.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/synonyms/__init__.py
@@ -149,8 +149,13 @@ class SynonymView(PGChildNodeView):
         {'type': 'int', 'id': 'did'},
         {'type': 'int', 'id': 'scid'}
     ]
+    # If URL has an identifier containing slash character '/'
+    # into the URI, then set param type to path. Because if
+    # param name contains '/' in syid, it gets confused and
+    # wrong url is generated.
+    # Reference:- http://flask.pocoo.org/snippets/76/
     ids = [
-        {'type': 'string', 'id': 'syid'}
+        {'type': 'path', 'id': 'syid'}
     ]
 
     operations = dict({
